Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78548 - g77 -c -O3 -g stl.f : Internal compiler error in add_abstract_origin_attribute
Summary: g77 -c -O3 -g stl.f : Internal compiler error in add_abstract_origin_attribute
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://www.pubhealth.ku.dk/~pd/stl.f
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 16:36 UTC by Peter Dalgaard
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-01 20:49:32 UTC


Attachments (Terms of Use)
Source code for offending function (deleted)
2002-11-25 16:38 UTC, Peter Dalgaard
no flags Details

Description Peter Dalgaard 2002-11-25 16:36:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
g77 compiler error triggered by -c -g -O3 combination on this file.
Removing -g or reducing -O level clears problem. A file cut qdown to just the
stlez routine removes the error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.g77 -c -O3 -g stl.f
2.
3.
	

Actual Results:  stl.f: In subroutine `stlez':
stl.f:477: Internal compiler error in add_abstract_origin_attribute, at
dwarf2out.c:9547
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  normal compile of stl.o 

Additional info:

Offending file is on my website. See URL above. 

$ rpm -qf `which g77`
gcc-g77-3.2-7

Comment 1 Peter Dalgaard 2002-11-25 16:38:25 UTC
Created attachment 86346 [details]
Source code for offending function

Comment 2 Vladimir Makarov 2004-10-01 20:49:32 UTC
I've checked the current state of redhat gcc3.2 branch
(gcc-3_2-rhl8-branch).  The bug was gone.  Therefore we are closing
the case.




Note You need to log in before you can comment on or make changes to this bug.